Bug 83742 - REPOCOPY: mail/py-mimelib -> py-mimelib2
Summary: REPOCOPY: mail/py-mimelib -> py-mimelib2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-19 20:40 UTC by Marcus Grando
Modified: 2005-09-04 20:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (182 bytes, patch)
2005-07-19 20:40 UTC, Marcus Grando
no flags Details | Diff
file.diff (673 bytes, patch)
2005-07-19 20:40 UTC, Marcus Grando
no flags Details | Diff
py-email.patch (8.37 KB, patch)
2005-07-21 13:13 UTC, Marcus Grando
no flags Details | Diff
py-email2.patch (8.45 KB, patch)
2005-07-21 13:13 UTC, Marcus Grando
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Grando 2005-07-19 20:40:18 UTC
Repocopy:

mail/py-mimelib -> py-mimelib2

NOTE: After repocopy, apply patchs below and update ports/UPDATING

mail/py-mimelib:

- Update to 3.0
- Change WWW and MASTER_SITES

mail/py-mimelib2:

- Update to 2.5.6
- Change WWW and MASTER_SITES

Fix: PORTNAME=	mimelib
-PORTVERSION=	2.5
+PORTVERSION=	2.5.6
 CATEGORIES=	mail python
-MASTER_SITES=   ${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=     mimelib
+MASTER_SITES=	ftp://ftp.python.org/pub/python/contrib/
 PKGNAMEPREFIX=  ${PYTHON_PKGNAMEPREFIX}
 DISTNAME=       email-${PORTVERSION}

 MAINTAINER=	estartu@augusta.de
-COMMENT=	Email package for Python
+COMMENT=	Email package for Python 2.1.3 or upper
+
+NO_LATEST_LINK=	yes
+CONFLICTS=	py*-mimelib-3.*

 DIST_SUBDIR=	python
 USE_PYTHON=	yes
 USE_PYDISTUTILS=yes

-.include <bsd.port.pre.mk>
-
-.if ${PYTHON_REL} >= 220
-IGNORE=		is part of the Python base distribution since python 2.2
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>


-WWW: http://sourceforge.net/projects/mimelib/
+WWW: http://www.python.org/sigs/email-sig/
--- py-mimelib2.patch ends here -----8YJf8pAhxEKjr1AspHJXiI5Ox28tBOuRDIzHb6kH7vN63cyt
Content-Type: text/plain; name="py-mimelib.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="py-mimelib.patch"

diff -ruN py-mimelib.orig/Makefile py-mimelib/Makefile
--- py-mimelib.orig/Makefile	Wed Dec 15 01:01:22 2004
+++ py-mimelib/Makefile	Tue Jul 19 16:27:09 2005
@@ -6,24 +6,29 @@
 #

 PORTNAME=	mimelib
-PORTVERSION=	2.5
+PORTVERSION=	3.0
 CATEGORIES=	mail python
-MASTER_SITES=   ${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=     mimelib
+MASTER_SITES=   ftp://ftp.python.org/pub/python/contrib/
 PKGNAMEPREFIX=  ${PYTHON_PKGNAMEPREFIX}
 DISTNAME=       email-${PORTVERSION}

 MAINTAINER=	estartu@augusta.de
-COMMENT=	Email package for Python
+COMMENT=	Email package for Python 2.3 or upper

 DIST_SUBDIR=	python
 USE_PYTHON=	yes
 USE_PYDISTUTILS=yes

+CONFLICTS=	py*-mimelib-2.*
+
 .include <bsd.port.pre.mk>

-.if ${PYTHON_REL} >= 220
-IGNORE=		is part of the Python base distribution since python 2.2
+.if ${PYTHON_REL} >= 240
+IGNORE=		Python 2.4 or upper don't need of this port
+.else
+.if ${PYTHON_REL} < 230
+IGNORE=		For your Python version use ${PORTSDIR}/mail/py-mimelib2
+.endif
 .endif

 .include <bsd.port.post.mk>
diff -ruN py-mimelib.orig/distinfo py-mimelib/distinfo
--- py-mimelib.orig/distinfo	Wed Mar 31 01:09:13 2004
+++ py-mimelib/distinfo	Tue Jul 19 15:57:12 2005
@@ -1,2 +1,2 @@
-MD5 (python/email-2.5.tar.gz) = a2a396f97e9628cfb91471a1d3d156d8
-SIZE (python/email-2.5.tar.gz) = 1194582
+MD5 (python/email-3.0.tar.gz) = 7f3839d4e1b2cb615e6323acdfba050b
+SIZE (python/email-3.0.tar.gz) = 1053472
diff -ruN py-mimelib.orig/pkg-descr py-mimelib/pkg-descr
--- py-mimelib.orig/pkg-descr	Mon Oct  6 09:22:25 2003
+++ py-mimelib/pkg-descr	Tue Jul 19 16:29:06 2005
@@ -3,4 +3,4 @@
 package for parsing, manipulating, and generating MIME and rfc822 style
 messages in Python.

-WWW: http://sourceforge.net/projects/mimelib/
+WWW: http://www.python.org/sigs/email-sig/
diff -ruN py-mimelib.orig/pkg-plist py-mimelib/pkg-plist
--- py-mimelib.orig/pkg-plist	Mon Oct  6 09:22:25 2003
+++ py-mimelib/pkg-plist	Tue Jul 19 16:01:52 2005
@@ -1,67 +1,64 @@
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat22.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat22.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Charset.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Charset.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Charset.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Encoders.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Encoders.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Encoders.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Errors.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Errors.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Errors.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Generator.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Generator.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Generator.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Header.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Header.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Header.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Iterators.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Iterators.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Iterators.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEAudio.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEAudio.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEAudio.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEBase.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEBase.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEBase.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEImage.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEImage.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEImage.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMessage.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMessage.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMessage.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMultipart.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMultipart.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMultipart.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMENonMultipart.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMENonMultipart.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMENonMultipart.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEText.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEText.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEText.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Message.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Message.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Message.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Parser.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Parser.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Parser.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Utils.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Utils.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Utils.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/__init__.py
-lib/%%PYTHON_VERSION%%/site-packages/email/__init__.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/__init__.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat21.py
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat21.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat21.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat22.py
-lib/%%PYTHON_VERSION%%/site-packages/email/_parseaddr.py
-lib/%%PYTHON_VERSION%%/site-packages/email/_parseaddr.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/_parseaddr.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/base64MIME.py
-lib/%%PYTHON_VERSION%%/site-packages/email/base64MIME.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/base64MIME.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/quopriMIME.py
-lib/%%PYTHON_VERSION%%/site-packages/email/quopriMIME.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/quopriMIME.pyo
-@dirrm lib/%%PYTHON_VERSION%%/site-packages/email
+%%PYTHON_SITELIBDIR%%/email/Charset.py
+%%PYTHON_SITELIBDIR%%/email/Charset.pyc
+%%PYTHON_SITELIBDIR%%/email/Charset.pyo
+%%PYTHON_SITELIBDIR%%/email/Encoders.py
+%%PYTHON_SITELIBDIR%%/email/Encoders.pyc
+%%PYTHON_SITELIBDIR%%/email/Encoders.pyo
+%%PYTHON_SITELIBDIR%%/email/Errors.py
+%%PYTHON_SITELIBDIR%%/email/Errors.pyc
+%%PYTHON_SITELIBDIR%%/email/Errors.pyo
+%%PYTHON_SITELIBDIR%%/email/FeedParser.py
+%%PYTHON_SITELIBDIR%%/email/FeedParser.pyc
+%%PYTHON_SITELIBDIR%%/email/FeedParser.pyo
+%%PYTHON_SITELIBDIR%%/email/Generator.py
+%%PYTHON_SITELIBDIR%%/email/Generator.pyc
+%%PYTHON_SITELIBDIR%%/email/Generator.pyo
+%%PYTHON_SITELIBDIR%%/email/Header.py
+%%PYTHON_SITELIBDIR%%/email/Header.pyc
+%%PYTHON_SITELIBDIR%%/email/Header.pyo
+%%PYTHON_SITELIBDIR%%/email/Iterators.py
+%%PYTHON_SITELIBDIR%%/email/Iterators.pyc
+%%PYTHON_SITELIBDIR%%/email/Iterators.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEAudio.py
+%%PYTHON_SITELIBDIR%%/email/MIMEAudio.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEAudio.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEBase.py
+%%PYTHON_SITELIBDIR%%/email/MIMEBase.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEBase.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEImage.py
+%%PYTHON_SITELIBDIR%%/email/MIMEImage.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEImage.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEMessage.py
+%%PYTHON_SITELIBDIR%%/email/MIMEMessage.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEMessage.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEMultipart.py
+%%PYTHON_SITELIBDIR%%/email/MIMEMultipart.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEMultipart.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMENonMultipart.py
+%%PYTHON_SITELIBDIR%%/email/MIMENonMultipart.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMENonMultipart.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEText.py
+%%PYTHON_SITELIBDIR%%/email/MIMEText.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEText.pyo
+%%PYTHON_SITELIBDIR%%/email/Message.py
+%%PYTHON_SITELIBDIR%%/email/Message.pyc
+%%PYTHON_SITELIBDIR%%/email/Message.pyo
+%%PYTHON_SITELIBDIR%%/email/Parser.py
+%%PYTHON_SITELIBDIR%%/email/Parser.pyc
+%%PYTHON_SITELIBDIR%%/email/Parser.pyo
+%%PYTHON_SITELIBDIR%%/email/Utils.py
+%%PYTHON_SITELIBDIR%%/email/Utils.pyc
+%%PYTHON_SITELIBDIR%%/email/Utils.pyo
+%%PYTHON_SITELIBDIR%%/email/__init__.py
+%%PYTHON_SITELIBDIR%%/email/__init__.pyc
+%%PYTHON_SITELIBDIR%%/email/__init__.pyo
+%%PYTHON_SITELIBDIR%%/email/_parseaddr.py
+%%PYTHON_SITELIBDIR%%/email/_parseaddr.pyc
+%%PYTHON_SITELIBDIR%%/email/_parseaddr.pyo
+%%PYTHON_SITELIBDIR%%/email/base64MIME.py
+%%PYTHON_SITELIBDIR%%/email/base64MIME.pyc
+%%PYTHON_SITELIBDIR%%/email/base64MIME.pyo
+%%PYTHON_SITELIBDIR%%/email/quopriMIME.py
+%%PYTHON_SITELIBDIR%%/email/quopriMIME.pyc
+%%PYTHON_SITELIBDIR%%/email/quopriMIME.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/email
Comment 1 Pav Lucistnik freebsd_committer 2005-07-19 22:01:30 UTC
Dear maintainer of FreeBSD port mail/py-mimelib, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=83742

Do you approve these patches?

--
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Any Palm app requiring an 90+ page manual has lost its vision.
    -- words about DateBk4 on Action Names list
Comment 2 Pav Lucistnik freebsd_committer 2005-07-19 22:01:34 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval


Comment 3 Pav Lucistnik freebsd_committer 2005-07-19 22:01:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 4 Gerhard Schmidt 2005-07-20 07:34:53 UTC
I have some problems with this patches

1. The package name has changed long time ago from mimelib to email. This
   port is only for people with python2.1 and earlier.
2. Installing the port over an existing python2.2 and above will cause
   problems when python is deinstalled because some files installed by
   the python port will be overwritten by the two mimelib ports.
3. the py-mimelib2 port should never be installed over a python2.4
   installation because mimelib3 is already part of python2.4. I have
   prepared a patch for this issue.

--- py-mimelib2/Makefile.orig   Wed Jul 20 07:58:34 2005
+++ py-mimelib2/Makefile        Wed Jul 20 08:28:33 2005
@@ -22,4 +22,10 @@
 USE_PYTHON=    yes
 USE_PYDISTUTILS=yes

-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${PYTHON_REL} >= 240
+IGNORE=         A higher version of py-mimelib is part of the python2.4 base distribution
+.endif #
+
+.include <bsd.port.post.mk>

Bye
	Estartu

----------------------------------------------------------------------------
Gerhard Schmidt    | Nick : estartu      IRC : Estartu  |
Fischbachweg 3     |                                    |  PGP Public Key
86856 Hiltenfingen | Privat: estartu@augusta.de         |   auf Anfrage/
Germany            |                                    |    on request
Comment 5 Pav Lucistnik freebsd_committer 2005-07-20 08:59:10 UTC
Marcus, please work with maintainer on resolving the issues he listed.

--
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Somebody ought to cross ball point pens with coat hangers so that the
pens will multiply instead of disappear.
Comment 6 Marcus Grando 2005-07-20 14:12:03 UTC
 >1. The package name has changed long time ago from mimelib to email.
 >This port is only for people with python2.1 and earlier.

For me that's incorrect. For example:

Python 2.3 it can change to email 3.0
Python 2.2 it can change to email 2.5.6
Python 2.1 it can change to email 2.5.6

 >2. Installing the port over an existing python2.2 and above will cause
     >problems when python is deinstalled because some files installed
by the >python port will be overwritten by the two mimelib ports.

You are right? email package is installed in site-packages and module
email installed one directory before.

 >3. the py-mimelib2 port should never be installed over a python2.4
 >installation because mimelib3 is already part of python2.4. I have
 >prepared a patch for this isue.

I forget this checks. I submit new patch modified.

Regards

--
Marcus Grando
Grupos Internet S/A
marcus(at)corp.grupos.com.br
Comment 7 Marcus Grando 2005-07-21 13:13:32 UTC
New Synopsis: REPOCOPY: mail/py-mimelib -> (py-email|py-email2)

mail/py-email:

- Update to 3.0
- Change WWW and MASTER_SITES
- Change PORTNAME

mail/py-email2:

- Update to 2.5.6
- Change WWW and MASTER_SITES
- Change PORTNAME

ports/MOVED:

mail/py-mimelib|py-email|$date|renamed

ports/UPDATING:

$date
   AFFECTS: users of mail/py-mimelib
   AUTHOR: marcus@corp.grupos.com.br

   Port mail/py-mimelib has renamed to mail/py-email. py-email work
   with Python 2.3 or uppper, and mail/py-email2 work with Python upper
   then 2.1 and lower then 2.3.

Pav Lucistnik wrote:
> Marcus, please work with maintainer on resolving the issues he listed.
>

--
Marcus Grando
Grupos Internet S/A
marcus(at)corp.grupos.com.br
Comment 8 Pav Lucistnik freebsd_committer 2005-08-30 22:29:03 UTC
What's status of this PR? What's maintainer's opinion on last patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>
Comment 9 Marcus Grando 2005-08-31 02:06:45 UTC
My last patch is:

http://corp.grupos.com.br:8080/~marcus/patch/py-email/

I don't know about MAINTAINER.

Regards

-- 
Marcus Grando
Grupos Internet S/A
marcus(at)corp.grupos.com.br
Comment 10 Pav Lucistnik freebsd_committer 2005-08-31 08:56:56 UTC
State Changed
From-To: feedback->repocopy

Requesting repocopies: 

mail/py-mimelib -> mail/py-email 
mail/py-mimelib -> mail/py-email2 


Comment 11 Pav Lucistnik freebsd_committer 2005-08-31 08:56:56 UTC
Responsible Changed
From-To: pav->portmgr

Over to repomeisters
Comment 12 Joe Marcus Clarke freebsd_committer 2005-09-02 06:04:11 UTC
State Changed
From-To: repocopy->open

Repocopy completed. 


Comment 13 Joe Marcus Clarke freebsd_committer 2005-09-02 06:04:11 UTC
Responsible Changed
From-To: portmgr->pav

Repocopy completed.
Comment 14 Pav Lucistnik freebsd_committer 2005-09-02 09:09:45 UTC
Joe Marcus Clarke pí¹e v pá 02. 09. 2005 v 05:04 +0000:
> Synopsis: REPOCOPY: mail/py-mimelib -> py-mimelib2


Hi Joe,

you did the repocopy according the synopsis of the PR, but I had
something else on mind, see Audit-Trail:

> Requesting repocopies: 
>
> mail/py-mimelib -> mail/py-email 
> mail/py-mimelib -> mail/py-email2 


Please please revert the mimelib2 thing and do these two repocopies.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

I am a shrubber. My name is Roger the Shrubber. I arrange, design and
sell shrubberies.
Comment 15 Joe Marcus Clarke freebsd_committer 2005-09-04 19:54:07 UTC
On Fri, 2005-09-02 at 10:09 +0200, Pav Lucistnik wrote:
> Joe Marcus Clarke pí¹e v pá 02. 09. 2005 v 05:04 +0000:
> > Synopsis: REPOCOPY: mail/py-mimelib -> py-mimelib2
> 
> Hi Joe,
> 
> you did the repocopy according the synopsis of the PR, but I had
> something else on mind, see Audit-Trail:
> 
> > Requesting repocopies: 
> >
> > mail/py-mimelib -> mail/py-email 
> > mail/py-mimelib -> mail/py-email2 
> 
> Please please revert the mimelib2 thing and do these two repocopies.


Done.

Joe

> 

-- 
Joe Marcus Clarke
FreeBSD GNOME Team      ::      gnome@FreeBSD.org
FreeNode / #freebsd-gnome
http://www.FreeBSD.org/gnome
Comment 16 Pav Lucistnik freebsd_committer 2005-09-04 20:10:22 UTC
State Changed
From-To: open->closed

Committed, thanks!